Đến nội dung


Hình ảnh

Muốn chập 2 hay nhiều layer làm 1 thì làm thế nào


  • Please log in to reply
11 replies to this topic

#1 nguoithoxay

nguoithoxay

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 12 November 2008 - 08:38 AM

Gặp bản vẽ nhiều layer lộn xộn quá e muốn chập vào thì làm thế nào, ví dụ đặt 1 layer gốc rồi đổi các layer khác chập vào layer gốc -> các thuộc tính của layer khác đổi thành layer gốc duy nhất.
Mong các cao thủ chỉ giáo dùm
  • 0

#2 trungkien_hatangdothi

trungkien_hatangdothi

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 251 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 12 November 2008 - 08:49 AM

Gặp bản vẽ nhiều layer lộn xộn quá e muốn chập vào thì làm thế nào, ví dụ đặt 1 layer gốc rồi đổi các layer khác chập vào layer gốc -> các thuộc tính của layer khác đổi thành layer gốc duy nhất.
Mong các cao thủ chỉ giáo dùm

Bạn thử dùng lệnh LAYMRG xem có đúng ý bạn kô. nhập các layer vào 1 layer mà bạn muốn!
  • 0
BUILD CAREER !


(Make life go to the dog..)


"Whenever I was in failure,I tried to overcome it & then to be SuccessFul man"

#3 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 12 November 2008 - 09:41 AM

Gặp bản vẽ nhiều layer lộn xộn quá e muốn chập vào thì làm thế nào, ví dụ đặt 1 layer gốc rồi đổi các layer khác chập vào layer gốc -> các thuộc tính của layer khác đổi thành layer gốc duy nhất.
Mong các cao thủ chỉ giáo dùm

bạn dùng lệnh laytrans
  • 0

#4 nguoithoxay

nguoithoxay

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 14 November 2008 - 01:11 PM

Thanks bác đã làm đc rồi, liệu Dim hoặc Text có thể làm theo cách tương tự đc không
  • 0

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 November 2008 - 01:33 PM

Thanks bác đã làm đc rồi, liệu Dim hoặc Text có thể làm theo cách tương tự đc không

Đây là líp mình sưu tầm được
;;; Command Active:
;;; Chuyen toan bo Dim sang Layer "_Dim":
(defun C:CDLA (/ dim_app)
(setvar "Cmdecho" 0)
(setq dim_app(ssget "X" '((0 . "DIMENSION")) ))
(if dim_app
(progn
(M_lay "_Dim");Tao Layer Dim neu chua co
(command "_.Chprop" dim_app "" "LA" "Dim" "")
)
(prompt "\nHien tai, khong co Dim.")
)
(princ)
)
;;; Chuyen toan bo cac doi tuong ve Layer tuong ung voi mau:
(defun C:COLA (/ op_ccl sl_op op_find cl_find en_find)
(setvar "Cmdecho" 0)
(setq op_ccl(ssget "X"))
(if op_ccl
(progn
(setq sl_op (sslength op_ccl) next_op 0)
(while (< next_op sl_op)
(setq op_find(ssname op_ccl next_op)
en_find(entget op_find)
cl_find(cdr(assoc 62 en_find)) )
(if (and (numberp cl_find) (< cl_find 256))
(progn (M_lay_c (itoa cl_find) cl_find)
(command "_.Chprop" op_find "" "LA" (itoa cl_find)
"C" "Bylayer" "")
)
)
(setq next_op(+ next_op 1) cl_find NIL en_find NIL)
)
(setq next_op NIL cl_find NIL)
)
)
(princ)
)
;;; Chuyen toan bo Text -> Text Layer:
(defun C:CTLA (/ Text_app)
(setvar "Cmdecho" 0)
(setq Text_app(ssget "X" '((0 . "*Text")) ))
(if Text_app
(progn
(M_lay_c "_Text" "3");Tao Layer _Text neu chua co
(command "_.Chprop" Text_app "" "LA" "_Text" "C" "Bylayer" "")
)
(prompt "\nHien tai, khong co Texts.")
)
(princ)
)
;;; Chuyen toan bo Blocks ve Layer _Blocks
(defun C:CBLA (/ blk_app)
(setvar "Cmdecho" 0)
(setq blk_app(ssget "X" '((0 . "INSERT")) ))
(if blk_app
(progn
(M_lay "_Blocks");Tao Layer _Blocks neu chua co
(command "_.Chprop" blk_app "" "LA" "Blocks" "")
)
(prompt "\nKhong co Blocks nao duoc Insert.")
)
(princ)
)
;;; Chuyen toan bo Hatch ve Layer _Hatch
(defun C:CHLA (/ hat_app)
(setvar "Cmdecho" 0)
(setq hat_app(ssget "X" '((0 . "Hatch")) ))
(if hat_app
(progn
(M_lay "_Hatch");Tao Layer _Hatch neu chua co
(command "_.Chprop" hat_app "" "LA" "_Hatch" "")
)
(prompt "\nKhong co vat lieu Hatch.")
)
(princ)
)
.
Bạn thử xem nhé.
  • 0

#6 nguoithoxay

nguoithoxay

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 18 November 2008 - 04:29 PM

Vâng, đã thanks đầy đủ các bác :leluoi:
  • 0

#7 nani

nani

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 18 November 2008 - 07:27 PM

lisp ko dùng được bác ạ!! em thử mà toàn báo lỗi thôi.
  • 0

#8 thachphathien1123

thachphathien1123

    biết vẽ rectang

  • Members
  • PipPip
  • 80 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 18 November 2008 - 08:15 PM

CAM ƠN BAC NHIỀU, EM THẤY CÓ VẺ hay đấy, nhưng không dùng lisp được, bác kiểm tralại nhé, dù gì nếu thành cong thì hay lém đấy bác, thanks :leluoi:
  • 0
____________________________________________________
Aluminum Curtain wall- The best technology solutions for the future
Mặt dựng nhôm kính-Giải pháp công nghệ cho tương lai tươi sáng
Không có gì là chuẩn mực

***0986.581.350***

#9 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 19 November 2008 - 07:43 AM

Đây là líp mình sưu tầm được

;;; Command Active:
;;; Chuyen toan bo Dim sang Layer "_Dim":
(defun C:CDLA (/ dim_app)
........
(M_lay "_Dim");Tao Layer Dim neu chua co
.............
)
;;; Chuyen toan bo cac doi tuong ve Layer tuong ung voi mau:
(defun C:COLA (/ op_ccl sl_op op_find cl_find en_find)
......................
(progn (M_lay_c (itoa cl_find) cl_find)
..............................
)
;;; Chuyen toan bo Text -> Text Layer:
(defun C:CTLA (/ Text_app)
....................
(M_lay_c "_Text" "3");Tao Layer _Text neu chua co
....................
)
;;; Chuyen toan bo Blocks ve Layer _Blocks
(defun C:CBLA (/ blk_app)
..................
(M_lay "_Blocks");Tao Layer _Blocks neu chua co
......................
)
;;; Chuyen toan bo Hatch ve Layer _Hatch
(defun C:CHLA (/ hat_app)
...........................
(M_lay "_Hatch");Tao Layer _Hatch neu chua co
.........................
)
.
Bạn thử xem nhé.


Bạn vui lòng bổ sung hai hàm : M_lay M_lay_c .
Thanks.
  • 0

#10 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 November 2008 - 08:02 AM

Bạn vui lòng bổ sung hai hàm : M_lay M_lay_c .
Thanks.

Xin lỗi, hai hàm đó đay anh gia bách ạ.
;;; Tao Layer khong co mau:
(defun M_Lay(layr_name / tbl t1 t2 key)
(setq tbl(tblnext "LAYER" 1))
(while tbl
(setq t1(strcase layr_name) t2 (cdr(car(cdr tbl))) )
(if (equal t1 t2) (setq key 1))
(setq tbl(tblnext "LAYER"))
)
(if(/= key 1)
(progn (setq tbl NIL )
(command "_.LAYER" "N" layr_name "" )
(princ (strcat "\nLayer "layr_name".... was created."))
)
)
(setq layr_name NIL)
(princ)
)
;;; Tao Layer co mau:
(defun M_Lay_c(layr_name color / tbl t1 t2 key)
(setvar "Cmdecho" 0)
(setq tbl(tblnext "LAYER" 1))
(while tbl
(setq t1(strcase layr_name) t2 (cdr(car(cdr tbl))) )
(if (equal t1 t2) (setq key 1))
(setq tbl(tblnext "LAYER"))
)
(if(/= key 1)
(progn (setq tbl NIL )
(command "_.LAYER" "N" layr_name "C" color layr_name "" )
(princ (strcat "\nLayer "layr_name".... was created."))
)
)
(setq layr_name NIL)
(princ)
)
;;; Command Active:
;;; Chuyen toan bo Dim sang Layer "_Dim":
(defun C:CDL (/ dim_app)
(setvar "Cmdecho" 0)
(setq dim_app(ssget "X" '((0 . "DIMENSION")) ))
(if dim_app
(progn
(M_lay "_Dim");Tao Layer Dim neu chua co
(command "_.Chprop" dim_app "" "LA" "_Dim" "")
)
(prompt "\nHien tai, khong co Dim.")
)
(princ)
)
;;; Chuyen toan bo cac doi tuong ve Layer tuong ung voi mau:
(defun C:COL (/ op_ccl sl_op op_find cl_find en_find)
(setvar "Cmdecho" 0)
(setq op_ccl(ssget "X"))
(if op_ccl
(progn
(setq sl_op (sslength op_ccl) next_op 0)
(while (< next_op sl_op)
(setq op_find(ssname op_ccl next_op)
en_find(entget op_find)
cl_find(cdr(assoc 62 en_find)) )
(if (and (numberp cl_find) (< cl_find 256))
(progn (M_lay_c (itoa cl_find) cl_find)
(command "_.Chprop" op_find "" "LA" (itoa cl_find)
"C" "Bylayer" "")
)
)
(setq next_op(+ next_op 1) cl_find NIL en_find NIL)
)
(setq next_op NIL cl_find NIL)
)
)
(princ)
)
;;; Chuyen toan bo Text -> Text Layer:
(defun C:CTL (/ Text_app)
(setvar "Cmdecho" 0)
(setq Text_app(ssget "X" '((0 . "*Text")) ))
(if Text_app
(progn
(M_lay_c "_Text" "4");Tao Layer _Text neu chua co
(command "_.Chprop" Text_app "" "LA" "_Text" "C" "Bylayer" "")
)
(prompt "\nHien tai, khong co Texts.")
)
(princ)
)
;;; Chuyen toan bo Blocks ve Layer _Blocks
(defun C:CBLL (/ blk_app)
(setvar "Cmdecho" 0)
(setq blk_app(ssget "X" '((0 . "INSERT")) ))
(if blk_app
(progn
(M_lay "_Blocks");Tao Layer _Blocks neu chua co
(command "_.Chprop" blk_app "" "LA" "_Blocks" "")
)
(prompt "\nKhong co Blocks nao duoc Insert.")
)
(princ)
)
;;; Chuyen toan bo Hatch ve Layer _Hatch
(defun C:CHL (/ hat_app)
(setvar "Cmdecho" 0)
(setq hat_app(ssget "X" '((0 . "Hatch")) ))
(if hat_app
(progn
(M_lay "_Hatch");Tao Layer _Hatch neu chua co
(command "_.Chprop" hat_app "" "LA" "_Hatch" "")
)
(prompt "\nKhong co vat lieu Hatch.")
)
(princ)
)
Tiện thể, xin hỏi anh giabach có hàm nào mà khi pick vào dimension thì trả về được một giá trị chính là giá trị số text ghi trên dimension đó hay không?
Cám ơn anh.
Chúc anh thật nhiều sức khỏe.
  • 0

#11 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 19 November 2008 - 11:10 AM

..................
Tiện thể, xin hỏi anh giabach có hàm nào mà khi pick vào dimension thì trả về được một giá trị chính là giá trị số text ghi trên dimension đó hay không?
....................

Bạn tham khảo ở đây : http://www.cadviet.c...&...ost&p=37134
  • 0

#12 be_chanh

be_chanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1712 Bài viết
Điểm đánh giá: 889 (rất tốt)

Đã gửi 19 November 2008 - 12:58 PM

c: laytrans phải chăng là thứ bạn muốn. Trên cv cũng có 1 bài về nó. bạn tìm lại nhé
  • 0

t: 097.323.1199 | m: cudstk@gmail.com | w: http://www.aicollect.com